
<persistence version="3.0" xmlns="https://jakarta.ee/xml/ns/persistence"
             xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xsi:schemaLocation="https://jakarta.ee/xml/ns/persistence 
             https://jakarta.ee/xml/ns/persistence/persistence_3_0.xsd">

	<persistence-unit name="auth" transaction-type="JTA">
		<jta-data-source>java:/jdbc/fotoDocumentationDS</jta-data-source>
		
		<class>marketing.heyday.hartmann.fotodocumentation.core.model.Right</class>
		<class>marketing.heyday.hartmann.fotodocumentation.core.model.User</class>
		<class>marketing.heyday.hartmann.fotodocumentation.core.model.Customer</class>
		<class>marketing.heyday.hartmann.fotodocumentation.core.model.Picture</class>
		<class>marketing.heyday.hartmann.fotodocumentation.core.model.JwtRefreshToken</class>

		<properties>
			<property name="hibernate.format_sql" value="false" />
			<property name="hibernate.show_sql" value="false" />
			<!-- <property name="hibernate.archive.autodetection" value="class" /> -->
			<property name="hibernate.dialect" value="org.hibernate.dialect.PostgreSQLDialect" />
			<property name="hibernate.hbm2ddl.auto" value="none" />
			<property name="hibernate.jpa.compliance.query" value="false" />
		</properties>
	</persistence-unit>
</persistence>
